﻿

using System.Text.Json.Serialization;

namespace Txgy.RBS.Framework
{
    public class ProcessInfo
    {
        private string proName;
        /// <summary>
        /// 程序路径
        /// </summary>
        public string ProName
        {
            get { return proName; }
            set { proName = value; }
        }
        private string proTitle;
        /// <summary>
        /// 程序路径
        /// </summary>
        public string ProTitle
        {
            get { return proTitle; }
            set { proTitle = value; }
        }
        private bool isEnable;
        public bool IsEnable
        {
            get { return isEnable; }
            set { isEnable = value; }
        }

        private string proPath;
        /// <summary>
        /// 程序路径
        /// </summary>
        public string ProPath
        {
            get { return proPath; }
            set { proPath = value; }
        }
        private string proParams;

        /// <summary>
        /// 启动参数
        /// </summary>
        public string ProParams
        {
            get { return proParams; }
            set { proParams = value; }
        }

        /// <summary>
        /// 配置文件路径
        /// </summary>
        public string JsonPath { get; set; }

        private int pid;
        public int Pid
        {
            get { return pid; }
            set { pid = value; }
        }
        private string operationStr = "open";
        /// <summary>
        /// 操作,open=打开;edit=编辑;find=搜寻
        /// </summary>
        public string OperationStr
        {
            get { return operationStr; }
            set { operationStr = value; }
        }

        [JsonIgnore]
        public DateTime StartTime { set; get; }

        [JsonIgnore]
        public bool State { set; get; }

    }
}
